Subject: Error while using pro*c in cygwin
From: "Sreekumar D Kottarath" <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jan 2002 16:49:40 +0800

I was trying to pre-compile an Oracle .pc file and got the following error:

Error at line 227, column 11 in file C:\cygwin\usr\include\sys/reent.h          __extension__ unsigned long long _rand_next;
..........1
PCC-S-02201, Encountered the symbol "__extension__" when expecting one of the following:

   } char, const, double, enum, float, int, long, ulong_varchar, OCIBFileLocator OCIBlobLocator, OCIClobLocator, OCIDateTime, OCIExtProcContext, OCIInterval, OCIRowid, OCIDate, OCINumber, OCIRaw, OCIString, short, signed, sql_context, sql_cursor, struct, union, unsigned, utext, uvarchar, varchar, void, volatile, a typedef name,

How do I avoid this?

I am using the following command line:
proc SQLCHECK=SEMANTICS userid='scott/tiger@db' parse=full include="C:\oracle8i\precomp\public" include="C:\cygwin\lib\gcc-lib\i686-pc-cygwin\2.95.3-5\include" include="C:\cygwin\usr\include" xyz.pc

Thanks!

Sreekumar

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/